<script setup lang="ts">
import { ReportService } from '@/services/report'
import { onMounted, ref } from 'vue'
import type { ReportIngredient } from '../types/ingredient'
import BarChart from './charts/BarChart.vue'

const ingredients = ref<ReportIngredient[]>([])

onMounted(async () => {
  ingredients.value = await ReportService.getIngredients()
})
</script>

<template>
  <v-col cols="12">
    <v-row no-gutters>
      <h2>Ingredients Analytics</h2>
      <v-spacer></v-spacer>
    </v-row>
    <v-divider class="mt-2"></v-divider>
  </v-col>
  <v-col cols="12">
    <v-card class="pa-5" rounded="lg">
      <p>Most ordered ingredients</p>
      <v-divider class="my-2"></v-divider>
      <BarChart
        :data="ingredients?.map((item) => item.totalOrdered)"
        :labels="ingredients?.map((item) => item.name)"
      ></BarChart>
    </v-card>
  </v-col>
</template>
